Subject: 26.3; bibtex should allow reverse sorting

From: Francesco Potortì <[email-masked]>
Date: Thu, 12 Nov 2020 19:30:14 +0100

I wish bibtex mode would allow for reverse sorting of entries.

Some years ago I used to obtain that behaviour by advising the sort-subr
functions when called inside a bibtex-mode buffer.  No more.

The modern bibtex.el sorts an entry when bibtex-clean-entry is called
when bibtex-maintain-sorted-entries is t without calling sort-subr, but
relying only on bibtex-lessp, which is not easy to advice.

I have numbered labels, and I want them to stay in reverse order as they
are, but now I can get that behaviour only by setting
bibtex-maintain-sorted-entries to nil

Please add some way to reverse the order of entries

--
fp